Bug 17787 - <h[2-6]> in <hgroup> should be relatively styled, like <h1> is
<h[2-6]> in <hgroup> should be relatively styled, like <h1> is
Status: RESOLVED FIXED
Product: HTML.next
Classification: Unclassified
Component: default
unspecified
All All
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
data:text/html,<!DOCTYPE%20html><html...
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 14:35 UTC by Gordon P. Hemsley
Modified: 2013-01-07 07:25 UTC (History)
7 users (show)

See Also:


Attachments
Extended testcase (2.05 KB, text/html)
2012-07-16 14:37 UTC, Gordon P. Hemsley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon P. Hemsley 2012-07-16 14:35:33 UTC
When an <h1> is inside an element like <section>, it is treated like a header of that section and is styled relative to the section rather than the whole page. However, if any of the other headers are used in the same way, they are only styled relative to the page.

If, for example, an <h1> and <h2> are within an <hgroup> within a <section>, the <h1> will be styled relative to the section while the <h2> is styled relative to the page. This results in the <h1> actually being smaller than the <h2>, even though they are actually part of the same header and should maintain their relative size difference.

A minimal testcase is included in the URL field.

I have also filed a Mozilla bug on the matter:
https://bugzilla.mozilla.org/show_bug.cgi?id=774098
Comment 1 Gordon P. Hemsley 2012-07-16 14:37:34 UTC
Created attachment 1159 [details]
Extended testcase

This is a more expanded testcase that demonstrates exhaustive embedding of all <hN> sizes.
Comment 2 contributor 2012-07-18 07:13:44 UTC
This bug was cloned to create bug 17894 as part of operation convergence.
Comment 3 Silvia Pfeiffer 2013-01-07 07:25:03 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description: 
https://github.com/w3c/html/commit/f9ca5253c3efc272e6527a8e26fad6d7d9a0fff0

Rationale: accepted WHATWG change for HTML5.1; re-open if you'd like to see it applied to HTML5 CR.

More details at https://www.w3.org/Bugs/Public/show_bug.cgi?id=17894